#include "Pregunta.h"

Pregunta::Pregunta(const std::string &tipo)
	: tipo(tipo)
{
}

std::istream& Pregunta::leer(std::istream& in)
{
	const size_t bufferSize = 2048;
	char buffer[bufferSize];

	in.getline(buffer, bufferSize);
	texto = buffer;

	in.getline(buffer, bufferSize);
	respuesta = buffer;

	return in;
}

std::ostream& Pregunta::imprimir(std::ostream& out) const
{
	return out << texto << std::endl
		<< "Respuesta: " << respuesta << std::endl;
}
